<?php

namespace Lc\ShopBundle\Controller\Backend;

use FOS\UserBundle\Doctrine\UserManager;
use FOS\UserBundle\Model\UserManagerInterface ;

class UserController extends AdminController
{

        public function createNewEntity()
        {
                return $this->userManager->createUser();
        }

        public function persistEntity($user)
        {
                $this->userManager->updateUser($user, false);
                parent::persistEntity($user);
        }

        public function updateEntity($user)
        {
                $this->userManager->updateUser($user, false);
                parent::updateEntity($user);
        }
}
